> ## Documentation Index
> Fetch the complete documentation index at: https://docs.feedspace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# All Pages

> Get all pages.



## OpenAPI

````yaml GET /pages
openapi: 3.1.0
info:
  title: Feedspace API
  description: Feedspace API v3 - Feedback and testimonial management platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.feedspace.io/v3
security: []
paths:
  /pages:
    get:
      tags:
        - Pages
      description: Get all pages.
      responses:
        '200':
          description: List of pages fetched successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                  show_merge_wol_banner:
                    type: boolean
                  unique_workspace:
                    type:
                      - object
                      - 'null'
                  unique_form_id:
                    type:
                      - string
                      - 'null'
                  total_feeds_count:
                    type: integer
              examples:
                success:
                  value:
                    data:
                      current_page: 1
                      data:
                        - id: 406
                          unique_page_id: page_3quM56ynXjoHeUsRPqrBe1f9
                          slug: klcw97GWPX
                          name: Page
                          preview_image: >-
                            uploads/zhBU6t/promotion/174400722399rrrPd-preview.jpg
                          meta:
                            allow_custom_domain: 0
                          view_count: 0
                          public_url: https://www.feedspace.io/w/klcw97GWPX
                          workspace: null
                          show_switch_workspace: true
                          preview_image_url: >-
                            https://dm219012nbq21.cloudfront.net/uploads/zhBU6t/promotion/174400722399rrrPd-preview.jpg
                        - id: 405
                          unique_page_id: page_Rf1KiPbaKNWxJMo6fm3icsxp
                          slug: QN5pr8yne2
                          name: My Page
                          preview_image: >-
                            uploads/zhBU6t/promotion/1744006043SlJXm2M-preview.jpg
                          meta:
                            allow_custom_domain: 0
                          view_count: 0
                          public_url: https://www.feedspace.io/w/QN5pr8yne2
                          workspace: null
                          show_switch_workspace: true
                          preview_image_url: >-
                            https://dm219012nbq21.cloudfront.net/uploads/zhBU6t/promotion/1744006043SlJXm2M-preview.jpg
                      first_page_url: https://api.feedspace.io/v3/pages?page=1
                      from: 1
                      next_page_url: null
                      path: https://api.feedspace.io/v3/pages
                      per_page: 1000
                      prev_page_url: null
                      to: 2
                    show_merge_wol_banner: false
                    unique_workspace: null
                    unique_form_id: form_gSgElcsXX8LaI6RtMA6JqlkN
                    total_feeds_count: 6
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        HTTP Basic Authentication using API Key and Secret Key. The credentials
        should be Base64 encoded in the format 'api_key:secret_key'. You can
        obtain your API Key and Secret Key from Feedspace → Automation → API
        (https://app.feedspace.io/automation/api).

````